Gecode::Exception Class Reference
Common functionality » Gecode exceptions

Exception: Base-class for exceptions More...

`#include <exception.hpp>`

## Public Member Functions

| Exception (const char *l, const char *i) throw ()
| Initialize with location l and information i.
virtual const char * | what (void) const throw ()
| Return information.

## Detailed Description

Exception: Base-class for exceptions

Definition at line 42 of file exception.hpp.

## Constructor & Destructor Documentation

## Exception()

Gecode::Exception::Exception | ( | const char * | l,
|  | const char * | i )
throw | ( | ) |  |  |

Initialize with location l and information i.

Definition at line 42 of file exception.cpp.

## Member Function Documentation

## what()

const char * Gecode::Exception::what | ( | void |  | ) | const
throw | ( | ) |  |  |

virtual

Return information.

Definition at line 55 of file exception.cpp.

The documentation for this class was generated from the following files:

- gecode/support/exception.hpp
- gecode/support/exception.cpp